    Program a02aafe

!     A02AAF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: a02aaf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: xi, xr, yi, yr
!     .. Executable Statements ..
      Write (nout,*) 'A02AAF Example Program Results'

!     Skip heading in data file
      Read (nin,*)

      Read (nin,*) xr, xi

!     Compute square root of (XR,XI) and return in (YR,YI)

      Call a02aaf(xr,xi,yr,yi)

      Write (nout,*)
      Write (nout,*) '   XR    XI      YR       YI'
      Write (nout,99999) xr, xi, yr, yi

99999 Format (1X,2F6.1,2F9.4)
    End Program a02aafe
